// -------------------------------------------------------------------------------------------------------------
// ------------                    UART Routinen fr Atmega324P                        -------------------------
// -------------------------------------------------------------------------------------------------------------
// --------                 November 2012               Autor:  Dane                     -----------------------
// -------------------------------------------------------------------------------------------------------------
// -------------------------------------------------------------------------------------------------------------
// 2 interne UART.
// Verwendet keine Interrupts !
// -------------------------------------------------------------------------------------------------------------
//                      HEADER - DATEI
// -------------------------------------------------------------------------------------------------------------


#ifndef _UART_H_
#define _UART_H_

#include <avr/io.h>

// Prototypen UART0
extern void uart_init();                                    // Initialisierung
extern void uart_putc (const uint8_t c);                    // Senden eines Char
extern uint8_t uart_getc_wait();                            // Empfangen eines Char (solange warten)
extern int     uart_getc_nowait();                          // Empfangen eines Char (sofort Rckgabe Zeichen oder -1)
extern void uart_puts (char *s);                            // Senden eines Strings
extern void uart_clear();                                   // Puffer leeren
extern void uart_gets( char* Buffer, uint8_t MaxLen );      // String empfangen

// Prototypen UART1
extern void uart1_init();                                   // Initialisierung
extern void uart1_putc (const uint8_t c);                   // Senden eines Char
extern uint8_t uart1_getc_wait();                           // Empfangen eines Char (solange warten)
extern int     uart1_getc_nowait();                         // Empfangen eines Char (sofort Rckgabe Zeichen oder -1)
extern void uart1_puts (char *s);                           // Senden eines String

#endif /* _UART_H_ */
